package com.qmth.teachcloud.common.enums;

public enum ScanStatus {

    SCANNED("已扫描"),

    UNEXIST("未扫描"), MANUAL_ABSENT("人工指定缺考");

    private String name;

    ScanStatus(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public static ScanStatus getByName(String name) {
        for (ScanStatus r : ScanStatus.values()) {
            if (r.getName().equals(name)) {
                return r;
            }
        }
        return null;
    }

}
